<?php
session_start();

function f103js1($xanio,$xmes)
{
  
// header ("Content-Type:text/plain"); 
// header('Content-disposition: attachment; filename=F103_'.$xanio.$xmes.'_'.$_SESSION['user_vcrx_empr'].'.txt');//nombre del archivo

require('../cfg/res.php');

$sql_info='select * from empr1 ';
$res_info=mysql_query($sql_info,$link_vcrx);
  
$sql_retp ='select sum(cant) as f_base, sum(cant*puni/100) as f_rete, retp12.* from retp12 ';
$sql_retp.='where status!="O" and puni>0 and puni<30 and fanio="'.$xanio .'" and fmes="'.$xmes.'" ';
$sql_retp.='group by cair order by cair';
$res_retp=mysql_query($sql_retp,$link_vcrx);
  
echo 'if(document.getElementById("campo201").value=="'.mysql_result($res_info,0,'empr_ruc').'"){ ';
echo 'if(document.getElementById("campo101").value=="'.intval($xmes).'" && document.getElementById("campo102").value=="'.$xanio.'"){ ';

  echo 'for(campo=301; campo<=500; campo++)';
  echo '{if(document.getElementById("campo"+campo)){document.getElementById("campo"+campo).value="0.00";}} ';
  
  while($aso_retp=mysql_fetch_assoc($res_retp))
  {
    echo 'document.getElementById("campo'.$aso_retp['cair'].'").value="'.number_format(round($aso_retp['f_base'],2),2,'.','').'"; ';
    echo 'document.getElementById("campo'.($aso_retp['cair']+50).'").value="'.number_format(round($aso_retp['f_rete'],2),2,'.','').'"; ';
  }
echo ' alert("DATOS: OK ");';
echo '} else{alert("ERROR : PERIODO NO CORRESPONDE ")}';
echo '} else{alert("ERROR : RUC NO CORRESPONDE ")}';


}

?>

